netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
path Struct Reference

`#include <directory.h>`

## Data Fields
int | m_type
char * | m_name
char * | u_name
cnid_t | id
struct dir * | d_dir
int | st_valid
int | st_errno
struct stat | st

## Field Documentation

## ◆ d_dir

struct dir* path::d_dir

## ◆ id

cnid_t path::id

file id (only for getmetadata)

## ◆ m_name

char* path::m_name

mac name

## ◆ m_type

int path::m_type

mac name type (long name, unicode

## ◆ st

struct stat path::st

## ◆ st_errno

int path::st_errno

## ◆ st_valid

int path::st_valid

does st_errno and st set

## ◆ u_name

char* path::u_name

unix name

The documentation for this struct was generated from the following file:

- include/atalk/directory.h